/*
// Created by Tiny on 3/3/2021.
*/

/*!
 * \file GAME.h
 * \brief Game Header File
 * \authors Tin
 * \version 1
 * \date 03/03/2021
 *
 * Game definition.
 *
 */

#ifndef INSAGAME_GAME_H
#define INSAGAME_GAME_H


#include <SDL2/SDL.h>
#include "personnage.h"
#include "prof.h"
#include "DS.h"
#include "map.h"
#include "window.h"
/*!
 * \def WINDOW_WIDTH
 * \brief The window's width.
 */
#define WINDOW_WIDTH 700
/*!
 * \def WINDOW_HEIGHT
 * \brief The window's height.
 */
#define WINDOW_HEIGHT 700

/*!
 * \def SPEED
 * \brief General speed.
 */
#define SPEED 5



SDL_Texture * query_hero(Personnage * hero, SDL_Rect * hero_rect, SDL_Renderer * renderer , SDL_Window * window);
SDL_Texture * query_teacher(Prof * prof, SDL_Rect * teacher_rect, SDL_Renderer * renderer, SDL_Window * window );
SDL_Texture * query_exam(DS * exam, SDL_Rect * exam_rect, SDL_Renderer * renderer, SDL_Window * window);
SDL_Texture * query_map(MAP * map, SDL_Renderer * renderer, SDL_Window * window);
SDL_Texture * query_heart(SDL_Rect * heart_rect,SDL_Renderer * renderer, SDL_Window * window, char * path);
SDL_Texture * query_score(SDL_Renderer *renderer, SDL_Rect* score_rect, SDL_Window * window, int* score);

int show_image_in_time(SDL_Renderer* renderer, SDL_Window * window, char * path, int time);


int calculer_score(Personnage * hero, int * time_remaining);


void test_event_hero(Personnage * hero, SDL_Event * event, int * close);



#endif /*INSAGAME_GAME_H*/
